## org.jdom
Class EntityRef

    java.lang.Object
      |
      +--org.jdom.EntityRef

public class EntityRef
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

`EntityRef` Defines an XML entity reference in Java.

Version:
  $Revision: 1.8 $, $Date: 2002/03/12 07:11:39 $
Author:
  Brett McLaughlin, Jason Hunter, Philip Nelson
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `name` The name of the `EntityRef`
`protected java.lang.Object` `parent` Parent element or null if none
`protected java.lang.String` `publicID` The PublicID of the `EntityRef`
`protected java.lang.String` `systemID` The SystemID of the `EntityRef`

Constructor Summary
`protected` `EntityRef()` Default, no-args constructor for implementations to use if needed.
`` `EntityRef(java.lang.String name)` This will create a new `EntityRef` with the supplied name.
`` `EntityRef(java.lang.String name, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name and system id.
`` `EntityRef(java.lang.String name, java.lang.String publicID, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name, public id, and system id.

Method Summary
`java.lang.Object` `clone()` This will return a clone of this `EntityRef`.
`EntityRef` `detach()` This detaches the `Entity` from its parent, or does nothing if the `Entity` has no parent.
`boolean` `equals(java.lang.Object ob)` This tests for equality of this `Entity` to the supplied `Object`.
`Document` `getDocument()` This retrieves the owning ``Document`` for this Entity, or null if not a currently a member of a ``Document``.
`java.lang.String` `getName()` This returns the name of the `EntityRef`.
`Element` `getParent()` This will return the parent of this `EntityRef`.
`java.lang.String` `getPublicID()` This will return the publid ID of this `EntityRef`.
`java.lang.String` `getSystemID()` This will return the system ID of this `EntityRef`.
`int` `hashCode()` This returns the hash code for this `Entity`.
`EntityRef` `setName(java.lang.String name)` This will set the name of this `EntityRef`.
`protected EntityRef` `setParent(Element parent)` This will set the parent of this `Entity`.
`EntityRef` `setPublicID(java.lang.String newPublicID)` This will set the public ID of this `EntityRef`.
`EntityRef` `setSystemID(java.lang.String newSystemID)` This will set the system ID of this `EntityRef`.
`java.lang.String` `toString()` This returns a `String` representation of the `EntityRef`, suitable for debugging.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of the `EntityRef`

### publicID

    protected java.lang.String publicID

  The PublicID of the `EntityRef`

### systemID

    protected java.lang.String systemID

  The SystemID of the `EntityRef`

### parent

    protected java.lang.Object parent

  Parent element or null if none

Constructor Detail

### EntityRef

    protected EntityRef()

  Default, no-args constructor for implementations to use if needed.

### EntityRef

    public EntityRef(java.lang.String name)

  This will create a new `EntityRef` with the supplied name.

  Parameters:
    `name` - `String` name of element.
  Throws:
    IllegalNameException - if the given name is not a legal XML name.

### EntityRef

    public EntityRef(java.lang.String name,
                     java.lang.String systemID)

  This will create a new `EntityRef` with the supplied name and system id.

  Parameters:
    `name` - `String` name of element.
  Throws:
    IllegalNameException - if the given name is not a legal XML name.
    IllegalDataException - if the given system ID is not a legal system literal.

### EntityRef

    public EntityRef(java.lang.String name,
                     java.lang.String publicID,
                     java.lang.String systemID)

  This will create a new `EntityRef` with the supplied name, public id, and system id.

  Parameters:
    `name` - `String` name of element.
  Throws:
    IllegalDataException - if the given system ID is not a legal system literal or the the given public ID is not a legal public ID
    IllegalNameException - if the given name is not a legal XML name.

Method Detail

### clone

    public java.lang.Object clone()

  This will return a clone of this `EntityRef`.

  Overrides:
    clone in class java.lang.Object
  Returns:
    `Object` - clone of this `EntityRef`.

### detach

    public EntityRef detach()

  This detaches the `Entity` from its parent, or does nothing if the `Entity` has no parent.

  Returns:
    `Entity` - this `Entity` modified.

### equals

    public final boolean equals(java.lang.Object ob)

  This tests for equality of this `Entity` to the supplied `Object`.

  Overrides:
    equals in class java.lang.Object
  Parameters:
    `ob` - `Object` to compare to.
  Returns:
    `boolean` - whether the `Entity` is equal to the supplied `Object`.

### getDocument

    public Document getDocument()

  This retrieves the owning ``Document`` for this Entity, or null if not a currently a member of a ``Document``.

  Returns:
    `Document` owning this Entity, or null.

### getName

    public java.lang.String getName()

  This returns the name of the `EntityRef`.

  Returns:
    `String` - entity name.

### getParent

    public Element getParent()

  This will return the parent of this `EntityRef`. If there is no parent, then this returns `null`.

  Returns:
    parent of this `EntityRef`

### getPublicID

    public java.lang.String getPublicID()

  This will return the publid ID of this `EntityRef`. If there is no public ID, then this returns `null`.

  Returns:
    public ID of this `EntityRef`

### getSystemID

    public java.lang.String getSystemID()

  This will return the system ID of this `EntityRef`. If there is no system ID, then this returns `null`.

  Returns:
    system ID of this `EntityRef`

### hashCode

    public final int hashCode()

  This returns the hash code for this `Entity`.

  Overrides:
    hashCode in class java.lang.Object
  Returns:
    `int` - hash code.

### setParent

    protected EntityRef setParent(Element parent)

  This will set the parent of this `Entity`.

  Parameters:
    `parent` - `Element` to be new parent.
  Returns:
    this `Entity` modified.

### setName

    public EntityRef setName(java.lang.String name)

  This will set the name of this `EntityRef`.

  Parameters:
    `name` - new name of the entity
  Returns:
    this `EntityRef` modified.
  Throws:
    IllegalNameException - if the given name is not a legal XML name.

### setPublicID

    public EntityRef setPublicID(java.lang.String newPublicID)

  This will set the public ID of this `EntityRef`.

  Parameters:
    `newPublicID` - new public id
  Returns:
    this `EntityRef` modified.
  Throws:
    IllegalDataException - if the given public ID is not a legal public ID.

### setSystemID

    public EntityRef setSystemID(java.lang.String newSystemID)

  This will set the system ID of this `EntityRef`.

  Parameters:
    `newSystemID` - new system id
  Returns:
    this `EntityRef` modified.
  Throws:
    IllegalDataException - if the given system ID is not a legal system literal.

### toString

    public java.lang.String toString()

  This returns a `String` representation of the `EntityRef`, suitable for debugging.

  Overrides:
    toString in class java.lang.Object
  Returns:
    `String` - information about the `EntityRef`

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.